Bug 816641 - Torquebox: jmx4r does not work in integration tests
Torquebox: jmx4r does not work in integration tests
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
2.0.0.ER4
Unspecified Unspecified
low Severity low
: ER1
: 2.1.0
Assigned To: Bob McWhirter
Oliver Kišš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 11:12 EDT by Oliver Kišš
Modified: 2015-08-02 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:35:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RSpec report (105.53 KB, text/html)
2012-04-26 11:12 EDT, Oliver Kišš
no flags Details
EAP log (736.33 KB, text/x-log)
2012-05-30 07:00 EDT, Oliver Kišš
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TORQUE-842 Major Closed Integration Tests Using jmx4r Fail on RHEL 6 2012-11-05 03:49:19 EST

  None (edit)
Description Oliver Kišš 2012-04-26 11:12:47 EDT
Created attachment 580508 [details]
RSpec report

Description of problem:
jmx4r does not work properly in Torquebox integration tests.

jmx4r relies on com.sun.tools.attach.VirtualMachine.list() method which returns empty list when called during integration tests.

Version-Release number of selected component (if applicable):
Torquebox 2.0.1
  
Actual results:
Integration tests fail

Additional info:
RSpec html report is attached

Environment:
Fedora 15 
OpenJDK 1.6.0_22 or Sun JDK 1.6.0_20
EAP ER4.1
Comment 1 Bob McWhirter 2012-05-14 11:07:22 EDT
We need to figure out how to run the integ tests locally with the EAP/WFK build and I'll get back to you on this.  Iniitially I cannot fathom why it's not working, unless JMX is disabled in EAP?
Comment 2 Oliver Kišš 2012-05-30 07:00:00 EDT
Created attachment 587680 [details]
EAP log

Added server log from running integration tests with Torquebox 2.0.3.redhat.1 and EAP6 ER8
Comment 3 Ben Browning 2012-05-31 14:12:11 EDT
I don't have the appropriate permissions to link things, but this is tracked upstream in https://issues.jboss.org/browse/TORQUE-842. I've replicated this in a RHEL 6 virtual machine and am testing a fix now.
Comment 4 Ben Browning 2012-06-01 09:18:25 EDT
Fixed committed to our 2.0.x-dev branch in https://github.com/torquebox/torquebox/commit/73b05d4db66e186690aa7290fd4a446735df100b
Comment 5 Karel Piwko 2012-06-13 10:32:09 EDT
Removed Target Version, this was not productized so far.
Comment 6 JBoss JIRA Server 2012-07-26 17:58:07 EDT
Benjamin Browning <bbrowning@redhat.com> updated the status of jira TORQUE-842 to Closed
Comment 7 Karel Piwko 2012-07-27 02:59:42 EDT
Moving target version to 2.1.0.
Comment 8 Marek Novotny 2012-09-25 02:36:14 EDT
Already in product branch as commit - 
http://git.app.eng.bos.redhat.com/?p=torquebox.git;a=commit;h=b4f1e20b01c112cb43cd11d726d65c5424287550
Comment 9 Karel Piwko 2012-11-30 10:35:03 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.